#!/bin/bash
#
# DOCUMENT:  RRD-Generator
# VERSION:   $Revision: 1.10 $
# DATE:      $Date: 2007-09-02 20:57:09 $
# AUTHOR:    M.Beranek <marcus@beranek.de>
# COPYRIGHT: M.Beranek, http://www.beranek.de
# 
# This program is FREE SOFTWARE and may be copied and distributed
# as you like, as long as the above COPYRIGHT-notice stays untouched!
# 
# NOTE: Use at your own risk! 
#
# The author may not be held responsible for any damage to you or 
# your system caused by this program directly or indirectly.
# 
# You are allowed to modify this file, as long as you mark any
# modifications you have made.
# 

# Base-directory:
BASEDIR=`dirname $0`

# Load config:
. ${BASEDIR}/monitor_config.sh

# Print out a warning:
echo
echo
echo "#############################################################################"
echo "##                          I  M  P  O  R  T  A  N  T                      ##"
echo "#############################################################################"
echo
uname -a
echo
echo "This program was tested with a linux-kernel 2.4.28 using "
echo "procps 2.0.7. Please make sure, the output of vmstat looks like:"
echo "   procs                      memory    swap          io     system         cpu"
echo " r  b  w   swpd   free   buff  cache  si  so    bi    bo   in    cs  us  sy  id"
echo
echo "Your 'vmstat'-output is:"
vmstat
echo
echo "If output differs, please edit this file "
echo "${0}"
echo "and also the file "
echo "'${INSTDIR}/parse_vm_output.pl'."

# See "DELAY" in "monitor_vmstat.sh"
# Steps:
STEP=${DELAY}
# Heartbeat:
HEARTBEAT=${DELAY}

echo ${HEARTBEAT}

# Create the archive:
${RRD} create ${LOGDIR}/${RRDFILE} -s ${STEP} \
       DS:run:GAUGE:${HEARTBEAT}:U:U \
       DS:block:GAUGE:${HEARTBEAT}:U:U \
       DS:wait:GAUGE:${HEARTBEAT}:U:U \
       DS:swpd:GAUGE:${HEARTBEAT}:U:U \
       DS:free:GAUGE:${HEARTBEAT}:U:U \
       DS:buff:GAUGE:${HEARTBEAT}:U:U \
       DS:cache:GAUGE:${HEARTBEAT}:U:U \
       DS:si:GAUGE:${HEARTBEAT}:U:U \
       DS:so:GAUGE:${HEARTBEAT}:U:U \
       DS:bi:GAUGE:${HEARTBEAT}:U:U \
       DS:bo:GAUGE:${HEARTBEAT}:U:U \
       DS:int:GAUGE:${HEARTBEAT}:U:U \
       DS:cont:GAUGE:${HEARTBEAT}:U:U \
       DS:user:GAUGE:${HEARTBEAT}:U:U \
       DS:sys:GAUGE:${HEARTBEAT}:U:U \
       DS:idle:GAUGE:${HEARTBEAT}:U:U \
       RRA:AVERAGE:0.5:5:105408

