#!/bin/bash
#
# DOCUMENT:  vmstat-monitor
# VERSION:   $Revision: 1.8 $
# DATE:      $Date: 2007-09-02 20:57:09 $
# AUTHOR:    M.Beranek <marcus@beranek.de>
# COPYRIGHT: M.Beranek, http://www.beranek.de
# 
# This program is FREE SOFTWARE and may be copied and distributed
# as you like, as long as the above COPYRIGHT-notice stays untouched!
# 
# NOTE: Use at your own risk! 
#
# The author may not be held responsible for any damage to you or 
# your system caused by this program directly or indirectly.
# 
# You are allowed to modify this file, as long as you mark any
# modifications you have made.
# 

# Base-directory:
BASEDIR=`dirname $0`

# Load config:
. ${BASEDIR}/monitor_config.sh

# parser-binary
PARSE=${BASEDIR}/parse_vm_output.pl

# Depending on the parameters, this script should be called from 
# cron every 10 minutes.

# Current date and time:
DATE=`date +%s`

# Append date and time to the logfiles name:
LOG=${LOGDIR}/${LOGFILE}.${DATE}

# Call vmstat and collect output in $LOG:
${VMSTAT} -n ${DELAY} ${COUNT} > ${LOG}

# Ergebnis in RRDTOOL einfgen:
${CAT} ${LOG} | ${PARSE} -d "${DATE}" -i ${DELAY} -f ${LOGDIR}/${RRDFILE}

